Skip to navigation

Update document visibility for template recipients

View as Markdown

This method updates document visibility for one or more template recipients based on the recipientId and visible values that you include in the request body.

Note: A document cannot be hidden from a recipient if the recipient has tabs assigned to them on the document. Carbon Copy, Certified Delivery (Needs to Sign), Editor, and Agent recipients can always see all documents.

Authentication

AuthorizationBearer

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token> on every request except GET /v2.1 and GET /service_information, which are public discovery endpoints.

Path parameters

accountIdstringRequired

The external account number (int) or account ID Guid.

templateIdstringRequired
The ID of the template.

Request

This endpoint expects an object: templateDocumentVisibilityList

documentVisibilitylist of objectsOptional

An array of documentVisibility objects that specifies which documents are visible to which recipients.

Response

Successful response.
documentVisibilitylist of objectsOptional

An array of documentVisibility objects that specifies which documents are visible to which recipients.

Errors

400
Bad Request Error